Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.calendar
Class HtmlCalendarRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.calendar.HtmlCalendarRenderer

public class HtmlCalendarRenderer
extends HtmlRenderer

Version:
  $Revision: 291325 $ $Date: 2005-09-24 13:02:12 -0400 (Sat, 24 Sep 2005) $
Author:
  Martin Marinschek (latest modification by $Author: baranda $)

Nested Class Summary
`static class` | `HtmlCalendarRenderer.CalendarDateTimeConverter`
`static interface` | `HtmlCalendarRenderer.DateConverter`

Constructor Summary
`HtmlCalendarRenderer()`

Method Summary
`static void` | `addScriptAndCSSResources(javax.faces.context.FacesContext facesContext, java.text.DateFormatSymbols symbols, java.lang.String[] months, int firstDayOfWeek, javax.faces.component.UIComponent uiComponent)` Used by the x:inputDate renderer : HTMLDateRenderer
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object submittedValue)`
`static java.lang.String` | `getLocalizedLanguageScript(java.text.DateFormatSymbols symbols, java.lang.String[] months, int firstDayOfWeek, javax.faces.component.UIComponent uiComponent)`
`static java.lang.String[]` | `mapMonths(java.text.DateFormatSymbols symbols)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlCalendarRenderer

    public HtmlCalendarRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### addScriptAndCSSResources

    public static void addScriptAndCSSResources(javax.faces.context.FacesContext facesContext,
                                                java.text.DateFormatSymbols symbols,
                                                java.lang.String[] months,
                                                int firstDayOfWeek,
                                                javax.faces.component.UIComponent uiComponent)
                                         throws java.io.IOException

  Used by the x:inputDate renderer : HTMLDateRenderer

  Throws:
    `java.io.IOException`

### getLocalizedLanguageScript

    public static java.lang.String getLocalizedLanguageScript(java.text.DateFormatSymbols symbols,
                                                              java.lang.String[] months,
                                                              int firstDayOfWeek,
                                                              javax.faces.component.UIComponent uiComponent)

### mapMonths

    public static java.lang.String[] mapMonths(java.text.DateFormatSymbols symbols)

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD